put:
  tags:
  - Identity Attributes
  deprecated: true
  summary: Use POST /participants/{id}/identityAttributes/assign
  description: Assigns a list of identity attributes to a user.
  operationId: assignDeprecated
  parameters:
  - name: participantId
    in: path
    description: UUID of the user to whom the identity attributes will be assigned
    required: true
    style: simple
    explode: false
    schema:
      type: string
      format: uuid
  requestBody:
    description: List of UUIDs representing identity attributes to be assigned
    content:
      application/json:
        schema:
          type: array
          items:
            type: string
            format: uuid
    required: true
  responses:
    "204":
      description: Successfully assigned identity attributes
    "400":
      description: Invalid input data
    "401":
      description: Access denied
    "403":
      description: "Forbidden: User does not have the required role"
  security:
  - oauth2AuthCode: []
  x-simpl-roles:
  - NOTARY
